de.vc.jfo.tools

## Class DocumentAppender

- java.lang.Object
- - de.vc.jfo.tools.DocumentAppender

-     public class DocumentAppender
      extends java.lang.Object

  A document appender concatenates multiple documents.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentAppender()`
    `DocumentAppender(Document baseDocument)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Document doc)` Appends another document to the base document.
    `Document` | `getDocument()`
    `Values.ForcePageCount` | `getForcePageCount()` Gets the force-page-count property.
    `boolean` | `isRestartPageNumbering()` Returns true if a page-numbering restarts when the next document is appended.
    `boolean` | `isStartNewSequence()`
    `void` | `setForcePageCount(Values.ForcePageCount forcePageCount)` Sets the force-page-count property which is applied to the last page sequence of a preceding document.
    `void` | `setRestartPageNumbering(boolean restartPageNumbering)` If set to true, page-numbering is restarted when appending the next document.
    `void` | `setStartNewSequence(boolean startNewSequence)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentAppender

          public DocumentAppender()

    - #### DocumentAppender

          public DocumentAppender(Document baseDocument)

  - ### Method Detail

    - #### append

          public void append(Document doc)

      Appends another document to the base document.
      Parameters:
        `doc` - Appended document.

    - #### isRestartPageNumbering

          public boolean isRestartPageNumbering()

      Returns true if a page-numbering restarts when the next document is appended.
      Returns:
        true if page-numbering restarts.

    - #### setRestartPageNumbering

          public void setRestartPageNumbering(boolean restartPageNumbering)

      If set to true, page-numbering is restarted when appending the next document.
      Parameters:
        `restartPageNumbering` -

    - #### getForcePageCount

          public Values.ForcePageCount getForcePageCount()

      Gets the force-page-count property.
      Returns:
        Force page count enum.

    - #### setForcePageCount

          public void setForcePageCount(Values.ForcePageCount forcePageCount)

      Sets the force-page-count property which is applied to the last page sequence of a preceding document.
      Parameters:
        `forcePageCount` -

    - #### isStartNewSequence

          public boolean isStartNewSequence()

    - #### setStartNewSequence

          public void setStartNewSequence(boolean startNewSequence)

    - #### getDocument

          public Document getDocument()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.